Bug 718870 - Missing dependency in perl-SVK package
Summary: Missing dependency in perl-SVK package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SVK
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ian Burrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-05 00:46 UTC by Derrick Moser
Modified: 2011-10-11 08:30 UTC (History)
2 users (show)

Fixed In Version: perl-SVK-2.2.3-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-11 03:16:07 UTC
Type: ---


Attachments (Terms of Use)

Description Derrick Moser 2011-07-05 00:46:32 UTC
Description of problem:

The perl-ExtUtils-MakeMaker package should be automatically installed when installing the perl-SVK package.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. install SVK: yum install perl-SVK
2. initialise the depot map: svk depotmap --init
3. create some initial project files: mkdir /tmp/myproject; echo "Hello" > /tmp/myproject/hello.txt
4. try importing the project: svk import --message "Initial import" /tmp/myproject //myproject
  
Actual results:

The import fails after printing this:
Committed revision 1.
Import path //myproject initialized.
Can't locate ExtUtils/MakeMaker.pm in @INC (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/SVK/Util.pm line 812.

Expected results:

The import should succeed and print this:
Committed revision 1.
Import path //myproject initialized.
Committed revision 2.
Directory /tmp/myproject imported to depotpath //myproject as revision 2.

Additional info:

The error disappears if you manually install the perl-ExtUtils-MakeMaker package.

Comment 1 Fedora Update System 2011-10-02 11:53:28 UTC
perl-SVK-2.2.3-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-SVK-2.2.3-6.fc15

Comment 2 Fedora Update System 2011-10-02 11:53:37 UTC
perl-SVK-2.2.3-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-SVK-2.2.3-6.fc14

Comment 3 Fedora Update System 2011-10-02 11:53:45 UTC
perl-SVK-2.2.3-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-SVK-2.2.3-6.fc16

Comment 4 Fedora Update System 2011-10-02 17:44:34 UTC
Package perl-SVK-2.2.3-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-SVK-2.2.3-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-SVK-2.2.3-6.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-11 03:16:07 UTC
perl-SVK-2.2.3-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-10-11 08:30:00 UTC
perl-SVK-2.2.3-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-10-11 08:30:44 UTC
perl-SVK-2.2.3-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.